gphoto2-port-result.h File Reference

Go to the source code of this file.

## Macros

#define | GP_OK 0
| Everything is OK. More...
#define | GP_ERROR -1
| Generic Error.
#define | GP_ERROR_BAD_PARAMETERS -2
| Bad parameters passed.
#define | GP_ERROR_NO_MEMORY -3
| Out of memory.
#define | GP_ERROR_LIBRARY -4
| Error in the camera driver.
#define | GP_ERROR_UNKNOWN_PORT -5
| Unknown libgphoto2 port passed.
#define | GP_ERROR_NOT_SUPPORTED -6
| Functionality not supported.
#define | GP_ERROR_IO -7
| Generic I/O error.
#define | GP_ERROR_FIXED_LIMIT_EXCEEDED -8
| Buffer overflow of internal structure.
#define | GP_ERROR_TIMEOUT -10
| Operation timed out.
#define | GP_ERROR_IO_SUPPORTED_SERIAL -20
| Serial ports not supported.
#define | GP_ERROR_IO_SUPPORTED_USB -21
| USB ports not supported.
#define | GP_ERROR_IO_INIT -31
| Error initialising I/O.
#define | GP_ERROR_IO_READ -34
| I/O during read.
#define | GP_ERROR_IO_WRITE -35
| I/O during write.
#define | GP_ERROR_IO_UPDATE -37
| I/O during update of settings.
#define | GP_ERROR_IO_SERIAL_SPEED -41
| Specified serial speed not possible.
#define | GP_ERROR_IO_USB_CLEAR_HALT -51
| Error during USB Clear HALT.
#define | GP_ERROR_IO_USB_FIND -52
| Error when trying to find USB device.
#define | GP_ERROR_IO_USB_CLAIM -53
| Error when trying to claim the USB device.
#define | GP_ERROR_IO_LOCK -60
| Error when trying to lock the device.
#define | GP_ERROR_HAL -70
| Unspecified error when talking to HAL.

## Functions

const char * | gp_port_result_as_string (int result)

## Detailed Description

Copyright © 2001 Lutz Müller lutz@.nosp@m.user.nosp@m.s.sf..nosp@m.net

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Macro Definition Documentation

#define GP_OK 0

Everything is OK.

Note that this is also the value 0, and every error is negative (lower).

Referenced by camera_abilities(), camera_about(), camera_capture(), camera_capture_preview(), camera_config_get(), camera_config_set(), camera_exit(), camera_id(), camera_init(), camera_manual(), camera_summary(), delete_all_func(), delete_file_func(), file_list_func(), folder_list_func(), get_file_func(), get_info_func(), gp_abilities_list_append(), gp_abilities_list_detect(), gp_abilities_list_free(), gp_abilities_list_get_abilities(), gp_abilities_list_load(), gp_abilities_list_new(), gp_abilities_list_reset(), gp_ahd_decode(), gp_ahd_interpolate(), gp_bayer_decode(), gp_bayer_expand(), gp_bayer_interpolate(), gp_camera_capture(), gp_camera_capture_preview(), gp_camera_exit(), gp_camera_file_delete(), gp_camera_file_get(), gp_camera_file_get_info(), gp_camera_file_set_info(), gp_camera_folder_delete_all(), gp_camera_folder_list_files(), gp_camera_folder_list_folders(), gp_camera_folder_make_dir(), gp_camera_folder_put_file(), gp_camera_folder_remove_dir(), gp_camera_free(), gp_camera_get_abilities(), gp_camera_get_about(), gp_camera_get_config(), gp_camera_get_manual(), gp_camera_get_storageinfo(), gp_camera_get_summary(), gp_camera_init(), gp_camera_new(), gp_camera_ref(), gp_camera_set_abilities(), gp_camera_set_config(), gp_camera_set_port_speed(), gp_camera_unref(), gp_camera_wait_for_event(), gp_file_adjust_name_for_mime_type(), gp_file_append(), gp_file_clean(), gp_file_copy(), gp_file_detect_mime_type(), gp_file_free(), gp_file_get_data_and_size(), gp_file_get_mime_type(), gp_file_get_mtime(), gp_file_get_name(), gp_file_get_type(), gp_file_new(), gp_file_new_from_fd(), gp_file_open(), gp_file_ref(), gp_file_save(), gp_file_set_data_and_size(), gp_file_set_mime_type(), gp_file_set_mtime(), gp_file_set_name(), gp_file_set_type(), gp_file_slurp(), gp_file_unref(), gp_filesystem_append(), gp_filesystem_delete_all(), gp_filesystem_delete_file(), gp_filesystem_dump(), gp_filesystem_free(), gp_filesystem_get_file(), gp_filesystem_get_folder(), gp_filesystem_get_info(), gp_filesystem_list_files(), gp_filesystem_list_folders(), gp_filesystem_name(), gp_filesystem_new(), gp_filesystem_remove_dir(), gp_filesystem_reset(), gp_filesystem_set_file_funcs(), gp_filesystem_set_file_noop(), gp_filesystem_set_folder_funcs(), gp_filesystem_set_funcs(), gp_filesystem_set_info(), gp_filesystem_set_info_funcs(), gp_filesystem_set_info_noop(), gp_filesystem_set_list_funcs(), gp_gamma_fill_table(), gp_list_append(), gp_list_find_by_name(), gp_list_free(), gp_list_get_name(), gp_list_get_value(), gp_list_new(), gp_list_populate(), gp_list_ref(), gp_list_reset(), gp_list_set_name(), gp_list_set_value(), gp_list_sort(), gp_list_unref(), gp_log_remove_func(), gp_port_close(), gp_port_flush(), gp_port_free(), gp_port_get_info(), gp_port_get_pin(), gp_port_get_settings(), gp_port_get_timeout(), gp_port_info_list_free(), gp_port_info_list_get_info(), gp_port_info_list_load(), gp_port_info_list_new(), gp_port_new(), gp_port_open(), gp_port_result_as_string(), gp_port_send_break(), gp_port_set_error(), gp_port_set_info(), gp_port_set_pin(), gp_port_set_settings(), gp_port_set_timeout(), gp_port_usb_clear_halt(), gp_port_usb_find_device(), gp_port_usb_find_device_by_class(), gp_setting_get(), gp_setting_set(), gp_system_closedir(), gp_system_mkdir(), gp_system_rmdir(), gp_widget_add_choice(), gp_widget_append(), gp_widget_free(), gp_widget_get_child(), gp_widget_get_child_by_id(), gp_widget_get_child_by_label(), gp_widget_get_child_by_name(), gp_widget_get_choice(), gp_widget_get_id(), gp_widget_get_info(), gp_widget_get_label(), gp_widget_get_name(), gp_widget_get_parent(), gp_widget_get_range(), gp_widget_get_readonly(), gp_widget_get_root(), gp_widget_get_type(), gp_widget_get_value(), gp_widget_new(), gp_widget_prepend(), gp_widget_ref(), gp_widget_set_changed(), gp_widget_set_info(), gp_widget_set_name(), gp_widget_set_range(), gp_widget_set_readonly(), gp_widget_set_value(), gp_widget_unref(), put_file_func(), and set_info_func().

## Function Documentation

const char* gp_port_result_as_string | ( | int | result | ) |

gp_port_result_as_string:

Returns
  : a gphoto2 error code

Returns a string representation of a gphoto2 error code. Those are static error descriptions. You can get dynamic ones that explain the error more in depth using gp_port_get_error.

Return value: a string representation of a gphoto2 error code

References GP_ERROR, GP_ERROR_BAD_PARAMETERS, GP_ERROR_FIXED_LIMIT_EXCEEDED, GP_ERROR_HAL, GP_ERROR_IO, GP_ERROR_IO_INIT, GP_ERROR_IO_LOCK, GP_ERROR_IO_READ, GP_ERROR_IO_SERIAL_SPEED, GP_ERROR_IO_SUPPORTED_SERIAL, GP_ERROR_IO_SUPPORTED_USB, GP_ERROR_IO_UPDATE, GP_ERROR_IO_USB_CLAIM, GP_ERROR_IO_USB_CLEAR_HALT, GP_ERROR_IO_USB_FIND, GP_ERROR_IO_WRITE, GP_ERROR_LIBRARY, GP_ERROR_NO_MEMORY, GP_ERROR_NOT_SUPPORTED, GP_ERROR_TIMEOUT, GP_ERROR_UNKNOWN_PORT, and GP_OK.

Referenced by gp_result_as_string().